/*@ requires 0 <= n && \valid(a+(0..n-1));
    assigns \nothing;
    ensures \result == -1 ==> !(\exists integer i; 0<= i < n && a[i]==v);
    ensures 0 <= \result < n ==> a[\result] == v;
    ensures -1 <= \result < n;
 */
int find(int n, const int a[n], int v)
{
  int i;

  for (i=0; i <n; i++) {
    if (a[i] == v) {
      return i;
    }
  }

  return -1;
}
